Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.params
Class DHPrivateKeyParameters

    java.lang.Object
      org.bouncycastle.crypto.params.AsymmetricKeyParameter
          org.bouncycastle.crypto.params.DHKeyParameters
              org.bouncycastle.crypto.params.DHPrivateKeyParameters

All Implemented Interfaces:
  CipherParameters

    public class DHPrivateKeyParameters

extends DHKeyParameters

Constructor Summary
`DHPrivateKeyParameters(java.math.BigInteger x, DHParameters params)`

Method Summary
`boolean` `equals(java.lang.Object obj)`
`java.math.BigInteger` `getX()`
`int` `hashCode()`

Methods inherited from class org.bouncycastle.crypto.params.DHKeyParameters
`getParameters`

Methods inherited from class org.bouncycastle.crypto.params.AsymmetricKeyParameter
`isPrivate`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DHPrivateKeyParameters

    public DHPrivateKeyParameters(java.math.BigInteger x,
                                  DHParameters params)

Method Detail

### getX

    public java.math.BigInteger getX()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `DHKeyParameters`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `DHKeyParameters`

Bouncy Castle Cryptography Library 1.45